当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 10 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : mplayer gui 问题
帖子发表于 : 2008-07-13 18:09 

注册: 2007-04-27 22:24
帖子: 126
送出感谢: 0 次
接收感谢: 0 次
root@root:/home/player/mplayer# ./configure --enable-gui
Detected operating system: Linux
Detected host architecture: x86_64
Checking for cc version ... 4.2.3
.
.
.
Checking for GUI ... yes

Error: The GUI requires libavcodec with PNG support (needs zlib).

Check "configure.log" if you do not understand why it failed.
root@root:/home/player/mplayer# apt-get install zlib
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
E: 无法找到软件包 zlib


去哪找这个zlib啊?
不知你们编译configure时有没有这个问题?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-07-13 18:11 
头像

注册: 2006-07-15 11:20
帖子: 990
地址: 枫叶刀市
送出感谢: 2
接收感谢: 0 次
sudo apt-get install zlib


_________________
Thinkpad T400


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-07-13 18:13 

注册: 2007-04-27 22:24
帖子: 126
送出感谢: 0 次
接收感谢: 0 次
Nile 写道:
sudo apt-get install zlib


请看清楚,我已经是root了,呵呵。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-07-13 18:14 
头像

注册: 2007-05-12 22:48
帖子: 1344
送出感谢: 0 次
接收感谢: 0 次
直接安装SMPLAYER


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-07-13 18:24 

注册: 2007-04-27 22:24
帖子: 126
送出感谢: 0 次
接收感谢: 0 次
jeffwei 写道:
直接安装SMPLAYER


首先多谢jeffwei兄,
但现在牵扯到的不仅仅是MPLAYER的问题啊,
我后面的其它要安装的软件也要PNG的支持啊(因为我以有在fedora中装过也是要),所以我想解决这个问题,方便后面的。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-07-13 18:28 
头像

注册: 2007-04-25 13:12
帖子: 2838
送出感谢: 0 次
接收感谢: 0 次
zlib1g


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-07-13 19:19 

注册: 2008-01-09 22:41
帖子: 18311
送出感谢: 0 次
接收感谢: 6
tmp 写道:
Nile 写道:
sudo apt-get install zlib


请看清楚,我已经是root了,呵呵。


照样可以执行此命令啊


页首
 用户资料  
 
8 楼 
 文章标题 : Re: mplayer gui 问题
帖子发表于 : 2008-11-13 7:46 

注册: 2008-11-12 11:25
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
我的也是这个问题,试试安装这个包apt-get install libgtk2.0-dev


页首
 用户资料  
 
9 楼 
 文章标题 : Re: mplayer gui 问题
帖子发表于 : 2009-01-06 17:10 

注册: 2008-11-19 13:49
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
我倒,楼上的,安装完了,占用60多mb的空间?


页首
 用户资料  
 
10 楼 
 文章标题 : Re: mplayer gui 问题
帖子发表于 : 2009-01-06 17:11 

注册: 2008-11-19 13:49
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
另外,执行这个命令,估计是这个把?
sudo apt-get install libgtk2.0-dev


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 10 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译